#!/usr/bin/perl -w

use strict;
use warnings;

my $inFile = "$ARGV[0]";

my $ntax = "";
my $nchar = "";

my $stone = 0;

my @inFileCont = ();


open(INFILE,"$inFile");
@inFileCont = <INFILE>;
close INFILE;

foreach my $line (@inFileCont) {
  chomp($line);

  if($line =~ /NTAX=/){
   $line =~ /.*?NTAX=(\d+)\sNCHAR=(\d+);/;
   $ntax = $1;
   $nchar = $2;
   print "$ntax $nchar\n";
  }

  if($stone == 1){
    if($line =~ /^\[/) {
      next;
    } elsif ($line =~ /^$/) {
      next;
    } elsif ($line =~ /^;/) {
      last;
    } else {
      $line =~ s/\[\d+\]//;
      print "$line\n";    
    }
  }

  if($line =~ /^MATRIX/){
    $stone = 1;
  }

}
